Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# virtual_locator.hpp File Reference

## Detailed Description

Locator for virtual image views.

Author:
  Lubomir Bourdev and Hailin Jin
  Adobe Systems Incorporated

Date:
  2005-2007
  Last updated on February 12, 2007

`#include <boost/iterator/iterator_facade.hpp>`
`#include "position_iterator.hpp"`

Go to the source code of this file.

## Namespaces

namespace | boost
namespace | boost::gil

## Classes

class | virtual_2d_locator
| A 2D locator over a virtual image. Upon dereferencing, invokes a given function object passing it its coordinates. Models: PixelLocatorConcept, HasDynamicXStepTypeConcept, HasDynamicYStepTypeConcept, HasTransposedTypeConcept. More...